#include "stdafx.h"
#include "SimpleGraph.hpp"

ostream& operator<<(ostream& latefordinner, const Node& n) {
	return latefordinner << '(' << n.x << ", " << n.y << ')';
}

Node::Node(double xin, double yin) : x(xin), y(yin) {}

Edge::Edge(unsigned s, unsigned e) : start(s), end(e) {}

SimpleGraph::SimpleGraph() {
	string fname;
	cout << "\nEnter the filename to read from: ";
	cin >> fname;
	ifstream read(fname);
	read >> N;
	for (double i = 0; i < N; ++i) {
		nodes.push_back(Node(cos(i * 2 * Pi / N), sin(i * 2 * Pi / N)));
		nodeCircles.push_back(sf::CircleShape(10));
		nodeCircles[i].setPosition(300.f+100.f * float(nodes[i].x),240.f+100.f * float(nodes[i].y));
	}
	unsigned a, b;
	while (read >> a >> b) edges.push_back(Edge(a, b));
	/*for (Edge e : edges) {
		sf::Vertex line[] =
		{
			sf::Vertex(sf::Vector2f(nodes[e.start].x, nodes[e.start].y)),
			sf::Vertex(sf::Vector2f(nodes[e.end].x, nodes[e.end].y))
		};
		edgeLines.push_back(sf::Lines)
	}*/
}

void DrawGraph(const SimpleGraph& userGraph) {
	// For each edge, print out node number and coords <--> node number and coords
	for (int i = 0; i < userGraph.edges.size(); ++i) {
		//print edge node 1 number and coordinates
		//print "<--->"
		//print edge node 2 number and coordinates
	}
}